<div class="floating-nav-wrapper hidden xl:block" id="floatingNavBarWrapper">
  <div class="floating-nav-panel " id="floatingNavBar">
    <div class="opener py-6 pb-16 px-11 bg-acidgreen text-white font-alt">
      RYCHLÁ NAVIGACE
    </div>
    <div class="inner float-panel-inner elevation-2">
      <ul>
        {% block navigation_links %}
          {% for slug, title in navigation %}
            <li><a href="#{{ slug }}">{{ title }}</a></li>
          {% endfor %}
        {% endblock %}
      </ul>
    </div>
  </div>
</div>
<script>
  window.addEventListener("load", onLoadFunction);
  var anchorsArray = [];

  function placeUponId(id, space) {
    return document.getElementById(id).getBoundingClientRect().top + window.scrollY - space;
  }

  function onLoadFunction(e) {
    var anchorElemsArray;
    onResizeFunction();
    for (const entry of anchorsArray) {
      entry.menuitem.addEventListener("click", clickHandler);
    }

    function clickHandler(e) {
      e.preventDefault();
      var id = this.getAttribute("href").replace("#", "");
      //console.log(placeUponId(id, 20));
      scroll({
        top: placeUponId(id, 20),
        behavior: "smooth"
      });
    }


    window.addEventListener("resize", onResizeFunction);
  }

  function onResizeFunction(e) {
    var itemsProcessed = 0;
    var anchorElemsArray = document.getElementsByClassName("float-panel-inner")[0].querySelectorAll("li a");
    anchorsArray = [];
    anchorElemsArray.forEach(function(entry) {
      var id = entry.getAttribute("href").replace("#", "");
      anchorsArray.push({
        id: id,
        top: placeUponId(id, 200),
        menuitem: entry
      });
      itemsProcessed++;
      if (itemsProcessed === anchorElemsArray.length) {
        anchorsArray.reverse();
      }
    });
    //console.log(anchorsArray);
  }
  window.onscroll = function() {
    var top = window.pageYOffset || document.documentElement.scrollTop;
    var activereached = false;
    anchorsArray.forEach(function(entry) {
      entry.menuitem.classList.remove("active");
      entry.menuitem.classList.remove("passed");
      if (top >= placeUponId(entry.id, 200)) {
        if (activereached) entry.menuitem.classList.add("passed");
        else entry.menuitem.classList.add("active");
        activereached = true;
      }
    });
  };
</script>
